org.apache.ignite.internal.processors.cache

## Class IncompleteCacheObject

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.IncompleteObject<CacheObject>
  - - org.apache.ignite.internal.processors.cache.IncompleteCacheObject

    public class IncompleteCacheObject
    extends IncompleteObject<CacheObject>

Cache object container that accumulates partial binary data unless all of them ready.

### Field Summary

Fields
`static int` `HEAD_LEN` 4 bytes - cache object length, 1 byte - type.

### Fields inherited from class org.apache.ignite.internal.processors.cache.IncompleteObject

`data`

### Constructor Summary

Constructors
Constructor and Description
`IncompleteCacheObject(ByteBuffer buf)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `readData(ByteBuffer buf)`
`byte` `type()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.IncompleteObject

`data, isReady, object, object`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HEAD_LEN

    public static final int HEAD_LEN

4 bytes - cache object length, 1 byte - type.

See Also:
  Constant Field Values

### Constructor Detail

#### IncompleteCacheObject

    public IncompleteCacheObject(ByteBuffer buf)

Parameters:
  `buf` - Byte buffer.

### Method Detail

#### readData

    public void readData(ByteBuffer buf)

Overrides:
  `readData` in class `IncompleteObject<CacheObject>`
Parameters:
  `buf` - Read remaining data.

#### type

    public byte type()

Returns:
  Data type.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018